Skip to content
Alchemy Logo

Spot metadata and asset contexts

This API is in private preview. Target October 2026; timing is subject to change.

Returns spot metadata with the aligned current context for each spot pair.

Coming with HyperCore. This read is documented but is not yet callable.

POST /{apiKey}/info

ParameterTypeRequiredDescription
typestringYesSelects spotMetaAndAssetCtxs.
{
  "type": "spotMetaAndAssetCtxs"
}

FieldTypeDescription
[0]objectMetadata object at tuple index 0.
[0].tokens[]arraySpot-token definitions used by the pair universe.
[0].tokens[].namestringSpot-token symbol, for example USDC.
[0].tokens[].szDecimalsintegerNumber of decimal places accepted for order sizes.
[0].tokens[].weiDecimalsintegerDecimal places in the token’s smallest unit.
[0].tokens[].indexintegerZero-based index used to reference this token or pair.
[0].universe[]arrayOrdered spot-pair definitions aligned to context entries.
[0].universe[].namestringSpot-pair symbol, for example PURR/USDC.
[0].universe[].tokensarrayIndices of the base and quote tokens in the token list.
[1]arrayAligned asset-context array at tuple index 1.
[1][].dayNtlVlmstringRolling 24-hour notional trading volume.
[1][].markPxstringCurrent mark price for the spot pair.
[1][].midPxstringCurrent midpoint between the best bid and ask.
[1][].prevDayPxstringMarket price approximately 24 hours earlier.

[
  {
    "tokens": [
      { "name": "USDC", "szDecimals": 8, "weiDecimals": 8, "index": 0 }
    ],
    "universe": [{ "name": "PURR/USDC", "tokens": [1, 0] }]
  },
  [
    {
      "dayNtlVlm": "8906.0",
      "markPx": "0.14",
      "midPx": "0.209265",
      "prevDayPx": "0.20432"
    }
  ]
]
Was this page helpful?